---
base:
  workload:
    kind: Deployment
    strategy:
      type: RollingUpdate
    containers:
      open-strike:
        image:
          registry: zot.badhouseplants.net
          repository: badhouseplants/open-strike
          tag: latest
          pullPolicy: Always
        ports:
          main:
            - open-strike
services:
  main:
    enabled: true
    type: ClusterIP
    ports:
      open-strike:
        port: 27015
        targetPort: 27015
        protocol: TCP
